﻿@using LoyaltyPointEngine.Model.Object.Member
@{
    List<string> ListError = ViewBag.errors != null ? ViewBag.errors as List<string> : new List<string>();
    //ucup
    List<string> Listdata = ViewBag.success != null ? ViewBag.success as List<string> : new List<string>();

}
@model List<MemberGridModel>
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Upload Member</h3>
    </div>    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.Member.DownloadExcelTemplate())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Download Excel Templates</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
        
    <div class="col-md-12">
            @*@if (ListError != null && ListError.Count >0)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <i class="fa fa-times-circle"></i>
                    Error occured: <br />
                    @Html.ValidationSummary()
                    <hr />
                    @if (ListError.Count > 0)
                    {
                        <ul style="list-style-type:circle;">
                            @foreach (var err in ListError)
                            {
                                <li>
                                    @err
                                </li>
                            }
                        </ul>
                    }
                </div>
            }*@

            @using (Html.BeginForm("Upload", "Member", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                <div class="form-group">
                    <label class="col-md-12 control-label"><i>firstname, lastname, email, and phone is mandatory</i></label>
                </div>
                <div class="form-group">
                    <div class="col-md-4">
                        <input type="file" name="excelFile" class="btn btn-primary" />
                    </div>
                    <div class="col-md-1">
                        <button type="button" class="btn btn-primary" id="btnSubmit" style="margin-top:6px;">Submit</button>
                    </div>
                </div>
                
            }
            <br />
            <br />
    </div>
</div>
@if (Model != null && ViewBag.TotalData != 0)
{
    int row = 1;
    <div>Total Data : @ViewBag.TotalData</div>
    <div id="grid-wrapper" class="widget-content">
        <table class="table table-striped grid-table">
            <thead>
                <tr>
                    <th class="grid-header" title="Row"><div class="grid-header-title">Row</div></th>
                    <th class="grid-header" title="FirstName"><div class="grid-header-title">FirstName</div></th>
                    <th class="grid-header" title="Email"><div class="grid-header-title">Email</div></th>
                    <th class="grid-header" title="Phone"><div class="grid-header-title">Phone</div></th>
                    <th class="grid-header" title="Message"><div class="grid-header-title">Message</div></th>
                </tr>
            </thead>
            <tbody>
                @foreach (MemberGridModel member in Model)
                {
                    <tr class="grid-row">
                        <td class="grid-cell">@row</td>
                        <td class="grid-cell">@member.FirstName</td>
                        <td class="grid-cell">@member.Email</td>
                        <td class="grid-cell">@member.Phone</td>
                        <td class="grid-cell">@Html.Raw(member.Message)</td>
                    </tr>
                    row++;
                }
            </tbody>
        </table>
    </div>
}

        @section FooterScript {
            <script type="text/javascript">
                $(document).ready(function () {
                    $('#btnSubmit').click(function () {
                        var fileName = $('[name="excelFile"]').val().trim();

                        var pos = fileName.lastIndexOf('.');
                        var extension = (pos <= 0) ? '' : fileName.substring(pos);
                        if (extension != '.xlsx') {
                            alert('Please browse a correct excel file to upload');
                            return;
                        }

                        $('form').submit();
                    });
                    if ('@ViewBag.success' != "") {
                        $('#upload-modal-message').html('@ViewBag.success');
                        $('#myModalExcel').modal();
                    }
                });
            </script>
        }
